Entur Developer
Order Notes

Order Notes

Server

Services for creating, updating, retrieving and deleting order notes.


Search order notes

GET
https://api.staging.entur.io/sales
/v1/order-notes

Search all OrderNotes by the following query params: id, orderId, type, createdAt and updatedAt.

Search order notes › query Parameters

id
​string[] · style: form · explode: true

Filter based on the id of the order note

orderId
​string[] · style: form · explode: true

Filter based on order id

orderLineIds
​string[] · style: form · explode: true

Filter based on order line IDs. Supports in: and nin: for multi-value queries (comma-separated).

orderLineIdsInOrEmpty
​string[] · style: form · explode: true

Filter based on order line IDs, and also return Order Notes with no order line IDs. Supports only plain comma-separated values.

type
​string[] · style: form · explode: true

Filter based on type of order note

createdAt
​string[] · style: form · explode: true

Filter based on when the order note was created

updatedAt
​string[] · style: form · explode: true

Filter based on when the order note last was updated

page
​integer · min: 1 · style: form · explode: true

Select a specific page in the collection

Default: 1
perPage
​integer · min: 1 · max: 100 · style: form · explode: true

Select the number of elements per page

Default: 30

Search order notes › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Search order notes › Responses

200

OK

​OrderNoteResponse[] · required
totalPages
​integer · int32 · required
totalItems
​integer · int64 · required

Create order note

POST
https://api.staging.entur.io/sales
/v1/order-notes

Create a new OrderNote. Returns OrderNoteResponse with added timestamps.

Create order note › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create order note › Request Body

orderId
​string · minLength: 8 · maxLength: 8 · required

Id of order the note refers to. Unique in combination with type.

text
​string · required

Contents of order-note. Usage is specific to type

type
​OrderNoteType · enum · required

Type of Order Note.

PENALTY_FARE - info used to generate penalty fare invoice

ZERO_TICKET - info regarding why zero ticket issued

VENDOR_CONTACT_INFO_OVERRIDE - updated contact info for vendor eg. for group travel offer

DEADLINE - deadline for changes to order eg. for group travel offer

CUSTOMER_COMMUNICATION - note sent to customer, either manually or automated

TERMS_AND_CONDITIONS - note relating to terms and conditions

REFUND - note created as a part of refund process, either manually or automated

GENERIC - note with additional order info

UNKNOWN - untagged info

Enum values:
PENALTY_FARE
ZERO_TICKET
VENDOR_CONTACT_INFO_OVERRIDE
DEADLINE
CUSTOMER_COMMUNICATION
TERMS_AND_CONDITIONS
REFUND
GENERIC
Default: UNKNOWN
orderLineIds
​string[]

Specify if the order note should only be part of specific order lines. If left empty, the note will belong to the whole order.

createdBy
​string

Identifying information about who created the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: Sørvis:OlaNordmann
updatedBy
​string

Identifying information about who most recently updated the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: SJ:22211

Create order note › Responses

OK

id
​integer · int64 · required

Id of the note

orderId
​string · minLength: 8 · maxLength: 8 · required

Id of order the note refers to. Unique in combination with type.

orderLineIds
​string[] · required

Specific order lines the order note is part of. If empty, the note belongs to the whole order.

createdAt
​string · date-time · required

Timestamp for when the order-note was created.

updatedAt
​string · date-time · required

Timestamp for when the order-note was last updated.

text
​string · required

Contents of order-note. Usage is specific to type

type
​OrderNoteType · enum · required

Type of Order Note.

PENALTY_FARE - info used to generate penalty fare invoice

ZERO_TICKET - info regarding why zero ticket issued

VENDOR_CONTACT_INFO_OVERRIDE - updated contact info for vendor eg. for group travel offer

DEADLINE - deadline for changes to order eg. for group travel offer

CUSTOMER_COMMUNICATION - note sent to customer, either manually or automated

TERMS_AND_CONDITIONS - note relating to terms and conditions

REFUND - note created as a part of refund process, either manually or automated

GENERIC - note with additional order info

UNKNOWN - untagged info

Enum values:
PENALTY_FARE
ZERO_TICKET
VENDOR_CONTACT_INFO_OVERRIDE
DEADLINE
CUSTOMER_COMMUNICATION
TERMS_AND_CONDITIONS
REFUND
GENERIC
Default: UNKNOWN
createdBy
​string

Identifying information about who created the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: Email:no-reply@entur.org
updatedBy
​string

Identifying information about who most recently updated the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: Sørvis:OlaNordmann

Get an order note based on its id.

GET
https://api.staging.entur.io/sales
/v1/order-notes/{id}

Get an OrderNote based on its Id.

Get an order note based on its id. › path Parameters

id
​string · required · style: simple

Id of the Order Note

Get an order note based on its id. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get an order note based on its id. › Responses

OK

id
​integer · int64 · required

Id of the note

orderId
​string · minLength: 8 · maxLength: 8 · required

Id of order the note refers to. Unique in combination with type.

orderLineIds
​string[] · required

Specific order lines the order note is part of. If empty, the note belongs to the whole order.

createdAt
​string · date-time · required

Timestamp for when the order-note was created.

updatedAt
​string · date-time · required

Timestamp for when the order-note was last updated.

text
​string · required

Contents of order-note. Usage is specific to type

type
​OrderNoteType · enum · required

Type of Order Note.

PENALTY_FARE - info used to generate penalty fare invoice

ZERO_TICKET - info regarding why zero ticket issued

VENDOR_CONTACT_INFO_OVERRIDE - updated contact info for vendor eg. for group travel offer

DEADLINE - deadline for changes to order eg. for group travel offer

CUSTOMER_COMMUNICATION - note sent to customer, either manually or automated

TERMS_AND_CONDITIONS - note relating to terms and conditions

REFUND - note created as a part of refund process, either manually or automated

GENERIC - note with additional order info

UNKNOWN - untagged info

Enum values:
PENALTY_FARE
ZERO_TICKET
VENDOR_CONTACT_INFO_OVERRIDE
DEADLINE
CUSTOMER_COMMUNICATION
TERMS_AND_CONDITIONS
REFUND
GENERIC
Default: UNKNOWN
createdBy
​string

Identifying information about who created the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: Email:no-reply@entur.org
updatedBy
​string

Identifying information about who most recently updated the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: Sørvis:OlaNordmann

Update order note

PUT
https://api.staging.entur.io/sales
/v1/order-notes/{id}

Make changes to an existing OrderNote. If an OrderNote does not exist, this will return 404. Please check if it exists first, and use POST to create a new OrderNote.

Update order note › path Parameters

id
​string · required · style: simple

Id of the Order Note

Update order note › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update order note › Request Body

orderId
​string · minLength: 8 · maxLength: 8 · required

Id of order the note refers to. Unique in combination with type.

text
​string · required

Contents of order-note. Usage is specific to type

type
​OrderNoteType · enum · required

Type of Order Note.

PENALTY_FARE - info used to generate penalty fare invoice

ZERO_TICKET - info regarding why zero ticket issued

VENDOR_CONTACT_INFO_OVERRIDE - updated contact info for vendor eg. for group travel offer

DEADLINE - deadline for changes to order eg. for group travel offer

CUSTOMER_COMMUNICATION - note sent to customer, either manually or automated

TERMS_AND_CONDITIONS - note relating to terms and conditions

REFUND - note created as a part of refund process, either manually or automated

GENERIC - note with additional order info

UNKNOWN - untagged info

Enum values:
PENALTY_FARE
ZERO_TICKET
VENDOR_CONTACT_INFO_OVERRIDE
DEADLINE
CUSTOMER_COMMUNICATION
TERMS_AND_CONDITIONS
REFUND
GENERIC
Default: UNKNOWN
orderLineIds
​string[]

Specify if the order note should only be part of specific order lines. If left empty, the note will belong to the whole order.

createdBy
​string

Identifying information about who created the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: Sørvis:OlaNordmann
updatedBy
​string

Identifying information about who most recently updated the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: SJ:22211

Update order note › Responses

OK

id
​integer · int64 · required

Id of the note

orderId
​string · minLength: 8 · maxLength: 8 · required

Id of order the note refers to. Unique in combination with type.

orderLineIds
​string[] · required

Specific order lines the order note is part of. If empty, the note belongs to the whole order.

createdAt
​string · date-time · required

Timestamp for when the order-note was created.

updatedAt
​string · date-time · required

Timestamp for when the order-note was last updated.

text
​string · required

Contents of order-note. Usage is specific to type

type
​OrderNoteType · enum · required

Type of Order Note.

PENALTY_FARE - info used to generate penalty fare invoice

ZERO_TICKET - info regarding why zero ticket issued

VENDOR_CONTACT_INFO_OVERRIDE - updated contact info for vendor eg. for group travel offer

DEADLINE - deadline for changes to order eg. for group travel offer

CUSTOMER_COMMUNICATION - note sent to customer, either manually or automated

TERMS_AND_CONDITIONS - note relating to terms and conditions

REFUND - note created as a part of refund process, either manually or automated

GENERIC - note with additional order info

UNKNOWN - untagged info

Enum values:
PENALTY_FARE
ZERO_TICKET
VENDOR_CONTACT_INFO_OVERRIDE
DEADLINE
CUSTOMER_COMMUNICATION
TERMS_AND_CONDITIONS
REFUND
GENERIC
Default: UNKNOWN
createdBy
​string

Identifying information about who created the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: Email:no-reply@entur.org
updatedBy
​string

Identifying information about who most recently updated the note. Should adhere to the pattern 'system:identifer'. Due to this standard, the character ':' is not available for use in either system or identifier. See examples.

Example: Sørvis:OlaNordmann

Delete order note

DELETE
https://api.staging.entur.io/sales
/v1/order-notes/{id}

Delete OrderNote with specified id.

Delete order note › path Parameters

id
​string · required · style: simple

Id of the Order Note

Delete order note › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete order note › Responses

OK

No data returned

Did you find what you were looking for?